This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 847558 (mate-icon-theme)

Summary: Review Request: mate-icon-theme - Icon theme for MATE Desktop
Product: [Fedora] Fedora Reporter: Dan Mashal <dan.mashal>
Component: Package ReviewAssignee: Wolfgang Ulbrich <chat-to-me>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: notting, package-review, rdieter
Target Milestone: ---Flags: chat-to-me: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-19 17:51:07 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 840149    

Comment 1 Rex Dieter 2012-08-12 19:46:37 EDT
offhand, 

1 move NOCONFIGURE=1 ./autogen.sh  to %setup section

2. add icon-related  scriptlets:
http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache

3. make the package noarch (and drop %{_isa})
Comment 3 Rex Dieter 2012-08-12 20:27:56 EDT
Make the scriptlets reference mate instead of hicolor...
Comment 5 Wolfgang Ulbrich 2012-08-13 11:58:14 EDT
Dan, in repo i have a subpackage -legacy.
So, for updating my package from external repo, we need a subpackage here too.

%package legacy
Summary: Old names for icons in mate-icon-theme
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description legacy
This package contains symlinks to make the icons in mate-icon-theme
available under old names.


Under install after 'make install DESTDIR=%{buildroot}',we need this

# Add scalable directories for symbolic icons
(cd $RPM_BUILD_ROOT%{_datadir}/icons/mate

mkdir -p scalable/actions
mkdir -p scalable/apps
mkdir -p scalable/devices
mkdir -p scalable/emblems
mkdir -p scalable/mimetypes
mkdir -p scalable/places
mkdir -p scalable/status
)

(cd $RPM_BUILD_ROOT%{_datadir}
  find icons/mate \( -name gtk-* -or -type f \) -printf "%%%%{_datadir}/%%p\n"
 find icons/mate -type d -printf "%%%%dir %%%%{_datadir}/%%p\n"
) > files.txt

(cd $RPM_BUILD_ROOT%{_datadir}
 find icons/mate \( -type l -and -not -name gtk-* \) -printf "%%%%{_datadir}/%%p\n"
) > legacy.txt


In result you can use in file section

%files -f files.txt

%files legacy -f legacy.txt


Also we need post postun and posttrans for legacy subpackage.

%post legacy
/bin/touch --no-create %{_datadir}/icons/mate &>/dev/null || :

%postun legacy
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/mate &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &>/dev/null || :
fi

%posttrans legacy
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/mate &>/dev/null || :


That's all ;)

There is a white space beding this line
NOCONFIGURE=1 ./autogen.sh

But this is cosmetic.

Add subpackage and i will approve your package.
Comment 6 Wolfgang Ulbrich 2012-08-13 11:59:07 EDT
sorry, i mean 'behind'
Comment 7 Rex Dieter 2012-08-13 12:06:28 EDT
Can you provide some justification or purpose for this -legacy subpkg?  what needs these symlinks?  and why not just include them in the main package?
Comment 8 Wolfgang Ulbrich 2012-08-13 12:22:26 EDT
I've talked with Rex,
we don't need this subpackage, but you have to obsolete mate-icon-theme-legacy from my repo.
This you can do after the package is approved. ;)
Comment 9 Wolfgang Ulbrich 2012-08-13 12:36:14 EDT
Package is APPROVED

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[ ]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[ ]: MUST Package contains desktop file if it is a GUI application.
[ ]: MUST Development files must be in a -devel package
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[ ]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[ ]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* UNKNOWN" For detailed output of licensecheck see file:
     /home/rave/847558-mate-icon-theme/licensecheck.txt
[ ]: MUST License file installed when any subpackage combination is installed.
[ ]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[ ]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[ ]: MUST Package is not relocatable.
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
[ ]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Latest version is packaged.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD The placement of pkgconfig(.pc) files are correct.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package requires pkgconfig, if .pc files are present. (EPEL5)
     Note: Only applicable for EL-5
See: http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#EL5

Rpmlint
-------
Checking: mate-icon-theme-1.4.0-3.fc19.noarch.rpm
          mate-icon-theme-devel-1.4.0-3.fc19.noarch.rpm
          mate-icon-theme-1.4.0-3.fc19.src.rpm
mate-icon-theme-devel.noarch: W: no-documentation
mate-icon-theme.src:6: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 1)
3 packages and 0 specfiles checked; 0 errors, 2 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint mate-icon-theme-devel
mate-icon-theme-devel.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
mate-icon-theme-1.4.0-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  

mate-icon-theme-devel-1.4.0-3.fc19.noarch.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config  

Provides
--------
mate-icon-theme-1.4.0-3.fc19.noarch.rpm:
    
    mate-icon-theme = 1.4.0-3.fc19

mate-icon-theme-devel-1.4.0-3.fc19.noarch.rpm:
    
    mate-icon-theme-devel = 1.4.0-3.fc19
    pkgconfig(mate-icon-theme) = 1.4.0

MD5-sum check
-------------
http://pub.mate-desktop.org/releases/1.4/mate-icon-theme-1.4.0.tar.xz :
  MD5SUM this package     : da3294f963b6e46751677294e82cf228
  MD5SUM upstream package : da3294f963b6e46751677294e82cf228


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 847558
External plugins:
Comment 10 Dan Mashal 2012-08-13 12:54:08 EDT
New Package SCM Request
=======================
Package Name: mate-icon-theme
Short Description: Icon theme for MATE Desktop
Owners: vicodan rdieter raveit65
Branches: f16 f17 18
InitialCC:
Comment 11 Jon Ciesla 2012-08-13 12:55:43 EDT
Git done (by process-git-requests).

18->f18.
Comment 12 Fedora Update System 2012-08-13 14:01:26 EDT
mate-icon-theme-1.4.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-icon-theme-1.4.0-3.fc16
Comment 13 Fedora Update System 2012-08-13 14:01:41 EDT
mate-icon-theme-1.4.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-icon-theme-1.4.0-3.fc17
Comment 14 Fedora Update System 2012-08-14 05:18:02 EDT
mate-icon-theme-1.4.0-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mate-icon-theme-1.4.0-6.fc16
Comment 15 Fedora Update System 2012-08-14 05:19:15 EDT
mate-icon-theme-1.4.0-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mate-icon-theme-1.4.0-6.fc17
Comment 16 Fedora Update System 2012-08-14 05:19:56 EDT
mate-icon-theme-1.4.0-3.fc16 has been pushed to the Fedora 16 testing repository.
Comment 17 Fedora Update System 2012-08-19 17:51:07 EDT
mate-icon-theme-1.4.0-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2012-08-19 17:51:29 EDT
mate-icon-theme-1.4.0-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.